
package de.ivu.elect.presentation.lokalisierung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.lokalisierung.entity.LokalisierungMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.lokalisierung.exchange.LokalisierungExportDescription;

public class LokalisierungExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient LokalisierungMeta meta;

  @Inject
  private transient LokalisierungExportDescription lokalisierungExportDescription;

  public LokalisierungExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return lokalisierungExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }

  @Override
  public String getLabelKey() {
    return "lokalisierung.export.menu.item.label";
  }
}
